Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020413
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupmajoralways2012-05-03 18:162012-05-25 12:09
ReporterVictorVillarView Statuspublic 
Assigned Tomarvintm 
PriorityimmediateResolutionfixedFixed in Version3.0MP12
StatusclosedFix in branchFixed in SCM revision223d7328a7bb
ProjectionnoneETAnoneTarget Version3.0MP11
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP10.1SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020413: It does not work alerts emails

Descriptionthere are two problems:

1.- If the client has configured the new Email configuration (Client || email configuration) it does not work the alerts mails because two restrictions in AlertProcess.java (line 161 and 194).
It only works with System client.

2.- It is necessary to redefine what POC client take in case the alert returns registers for various clients.
Steps To ReproduceAs group admin role,
Go to Client window || Email configuration tab:

Client: F&B International Group
smtp server: smtp.googlemail.com
             SMTP Authentification: YEs
             Smtp Connection Security: SSL
             Smtp Port: 465
             Smtp Server Account: your email
             Smtp Server Password: you password email
             Smtp Server Sender Address: your email
Go to Alert window:
   Client: F&B International Group
   Org: *
   Name: producto sin descripciĆ³n
   SQL: select p.m_product_id as referencekey_id,
p.name as record_id,
0 as ad_role_id,
null as ad_user_id,
p.name || 'no tiene descripciĆ³n ' as description,
'Y' as isActive,
        p.ad_org_id,
        p.ad_client_id,
        now() as created,
        0 as createdBy,
        now() as updated,
        0 as updatedBy
  from m_product p
where p.description is null

Tab: Product- Product

Go to Alert Recipient tab:
      - F&B International GRoup Admin:
           User: Openbravo
           Send email: Yes

Go to user window:
        Openbravo:
            email: your email
            Email Server Username: your email
            Email Server Password: your passw email
Go to Process Request:
       client: F&B International GRoup
       Org: *
       Process: Alert process
       Timing: Run inmediatly
Run the process.

No email
TagsRegression
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 00195453.0MP9 closeddbaz Email server configuration is in different places 

-  Notes
(0048373)
hgbot (developer)
2012-05-04 12:31

Repository: erp/devel/pi
Changeset: 223d7328a7bbe9ccb02667ca57b01ded14ab0800
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Fri May 04 12:31:22 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/223d7328a7bbe9ccb02667ca57b01ded14ab0800 [^]

Fixed issue 20413. Two changes have been made:
- EmailServerConfiguration will be retrieved correctly. The client/org filter has been disabled, because background processes are executed with a 'system' context, and this caused the list of email servers to always be empty unless the configuration was on the 'system' client itself.
- Also, the client will be picked from the alertrule instead of the first generated alert. This prevents strange problems when an alertrule generates alerts for different clients from happening.

---
M src/org/openbravo/erpCommon/ad_process/AlertProcess.java
M src/org/openbravo/erpCommon/ad_process/AlertProcess_data.xsql
---
(0048377)
AugustoMauch (developer)
2012-05-04 13:19

Code reviewed and verified in pi@223d7328a7bb.

The email was sent when the process was executing using both System Administrator and F&B Admin.
(0049023)
hudsonbot (developer)
2012-05-25 12:09

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5401e185a8b0 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-05-03 18:16 VictorVillar New Issue
2012-05-03 18:16 VictorVillar Assigned To => vmromanos
2012-05-03 18:16 VictorVillar Modules => Core
2012-05-03 18:20 VictorVillar Assigned To vmromanos => marvintm
2012-05-03 18:22 VictorVillar Issue Monitored: networkb
2012-05-04 09:38 jonalegriaesarte Priority high => immediate
2012-05-04 09:38 jonalegriaesarte Tag Attached: Regression
2012-05-04 11:16 marvintm Relationship added related to 0019545
2012-05-04 12:31 hgbot Checkin
2012-05-04 12:31 hgbot Note Added: 0048373
2012-05-04 12:31 hgbot Status new => resolved
2012-05-04 12:31 hgbot Resolution open => fixed
2012-05-04 12:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/223d7328a7bbe9ccb02667ca57b01ded14ab0800 [^]
2012-05-04 13:19 AugustoMauch Note Added: 0048377
2012-05-04 13:19 AugustoMauch Status resolved => closed
2012-05-04 13:19 AugustoMauch Fixed in Version => 3.0MP12
2012-05-25 12:09 hudsonbot Checkin
2012-05-25 12:09 hudsonbot Note Added: 0049023


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker